Bug 99253 - %define interpreted inside comment lines
Summary: %define interpreted inside comment lines
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rpm   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-16 17:54 UTC by NN Poster
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-16 18:06:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description NN Poster 2003-07-16 17:54:59 UTC
Description of problem:
%define directives in RPM spec file comment lines are interpreted.
This contradicts the documentation, which specifies that 
"Any text following the comment character will be ignored by RPM."

Version-Release number of selected component (if applicable):
rpm-4.0.4-7x.20

Spec file:
	%define foo xxx
	#%define foo yyy
	%prep
	echo %{foo}

Steps to Reproduce:
1. Create sample spec file
2. Run rpm -bp

    
Actual results:
yyy


Expected results:
xxx

Comment 1 Jeff Johnson 2003-07-16 18:06:45 UTC
The documentation is wrong.

Comment 2 NN Poster 2003-07-19 19:28:04 UTC
Aah, so it is a "feature".


Note You need to log in before you can comment on or make changes to this bug.